{ config
, lib
, pkgs
, ...
}: {
  services.xmrig = {
    enable = false;
    package = pkgs.xmrig;
    settings = {
      autosave = true;
      cpu = false;
      opencl = {
        enabled = true;
        cache = true;
        loader = "${pkgs.ocl-icd}/lib/libOpenCL.so";
        platform = "AMD";
        adl = true;
      };
    };
  };
}
